Page MenuHomePhabricator

Add phpcs to DonationInterface
Closed, ResolvedPublic

Description

Many gerrit repositories have phpcs for code style quality.

The phpcs is missing on DonationInterface. The repo has its own vendor submodule.

Please add phpcs. Be careful with the last version (0.10.0) due to T167168, use 0.8.1 for the moment.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2017, 7:48 PM
hashar added a subscriber: hashar.Jul 18 2017, 7:31 AM

PHP_CodeSniffer 3.x breaks when prepend-autoloader: false (T167168) got fixed. Kunal is going to release a new version

Change 371770 had a related patch set uploaded (by Mepps; owner: Mepps):
[mediawiki/extensions/DonationInterface@master] WIP Add phpcs script but times out on test

https://gerrit.wikimedia.org/r/371770

Change 371770 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add phpcs script

https://gerrit.wikimedia.org/r/371770

Umherirrender closed this task as Resolved.Sep 13 2017, 5:07 PM
Umherirrender assigned this task to mepps.
Umherirrender triaged this task as Normal priority.